ubuntu apt-file解决依赖的利器

如遇技术问题,请联系博主帮您解决QQ 452336092(添加时注明”付费技术支持”)。

刚才安装Spynner模块,使用的是easy_install spynner安装,各种文件缺失啊,无意中发现apt-file命令,从此再也不用担心编译软件缺少某个文件而不知所措了。
1、首先得安装apt-file命令

  1. apt-get install apt-file

2、接着更新apt-file的缓存

  1. apt-file update

3、现在你可以使用apt-file搜索缺失的文件了,比如编译过程中提示缺少

  1. root@test:~# apt-file search XTest.h
  2. libbcprov-java-doc: /usr/share/doc/libbcprov-java-doc/api/org/bouncycastle/jce/provider/test/PKIXTest.html
  3. libreoffice-dev-doc: /usr/share/doc/libreoffice-dev/docs/common/ref/com/sun/star/test/XTest.html
  4. libsvgsalamander-java-doc: /usr/share/doc/libsvgsalamander-java-doc/api/com/kitfox/svg/xml/cpx/CPXTest.html
  5. libsvgsalamander-java-doc: /usr/share/doc/libsvgsalamander-java-doc/api/com/kitfox/svg/xml/cpx/class-use/CPXTest.html
  6. libxtst-dev: /usr/include/X11/extensions/XTest.h

4、显然libxtst-dev包正是我们需要安装的

  1. apt-get install libxtst-dev

转载请保留原文链接:Linux运维日志 » ubuntu apt-file解决依赖的利器

打赏

如果此文对你有所帮助,请随意打赏鼓励作者^_^

评论 3

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
  1. 金元你好,我想请问下:本站点用的国外的IP,用的Wordpress,并且里面有这么多的文章内容,为何访问速度如此之快? 是因为对LAMP做的优化的原因吗? 还请赐教,谢谢。回复
  2. 夕虚:razz: 写得好~回复
  3. Zoplor果然是利器 apt-file - search for files within Debian packages (command-line interface) :razz:回复